> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List unique entitlements for customer

> List unique entitlements assigned to a customer



## OpenAPI

````yaml /openAPI/openapi-20240301.json get /entitlements/customer/unique/{customer_id}
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /entitlements/customer/unique/{customer_id}:
    get:
      tags:
        - Entitlements
      summary: List unique entitlements for customer
      description: List unique entitlements assigned to a customer
      operationId: List-unique-entitlements-for-customer
      parameters:
        - name: customer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Customer Id
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              The cursor indicating a unique set of results - this should be
              auto generated and you get it from the `next` and `previous`
              fields of the response
            examples:
              - V2VsbCBhcmV1IGN1cmlvdxM=
            title: Cursor
          description: >-
            The cursor indicating a unique set of results - this should be auto
            generated and you get it from the `next` and `previous` fields of
            the response
        - name: limit
          in: query
          required: false
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            description: The number of results to return - defaults to 10
            examples:
              - 10
            title: Limit
          description: The number of results to return - defaults to 10
        - name: sort_key
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - sort_key=id
            title: Sort Key
        - name: sort_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            examples:
              - sort_key=asc
            title: Sort Type
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Id
        - name: id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Id  In
        - name: id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Id  Isnull
        - name: entitlement
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Entitlement
        - name: entitlement__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Entitlement  In
        - name: entitlement__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Entitlement  Isnull
        - name: customer
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Customer
        - name: customer__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Customer  In
        - name: customer__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Customer  Isnull
        - name: contract_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: uuid
              - type: 'null'
            title: Contract Id
        - name: contract_id__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Contract Id  In
        - name: contract_id__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Contract Id  Isnull
        - name: created_at
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At
        - name: created_at__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Neq
        - name: created_at__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gt
        - name: created_at__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Gte
        - name: created_at__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lt
        - name: created_at__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Created At  Lte
        - name: created_at__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Created At  Isnull
        - name: created_at__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Created At  In
        - name: active_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Active From
        - name: active_from__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Active From  Neq
        - name: active_from__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Active From  Gt
        - name: active_from__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Active From  Gte
        - name: active_from__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Active From  Lt
        - name: active_from__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Active From  Lte
        - name: active_from__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Active From  Isnull
        - name: active_from__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Active From  In
        - name: quantity
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity
        - name: quantity__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity  Neq
        - name: quantity__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity  Gt
        - name: quantity__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity  Gte
        - name: quantity__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity  Lt
        - name: quantity__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity  Lte
        - name: quantity__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Quantity  Isnull
        - name: quantity__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Quantity  In
        - name: quantity_used
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity Used
        - name: quantity_used__neq
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity Used  Neq
        - name: quantity_used__gt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity Used  Gt
        - name: quantity_used__gte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity Used  Gte
        - name: quantity_used__lt
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity Used  Lt
        - name: quantity_used__lte
          in: query
          required: false
          schema:
            anyOf:
              - type: number
              - type: 'null'
            title: Quantity Used  Lte
        - name: quantity_used__isnull
          in: query
          required: false
          schema:
            anyOf:
              - type: boolean
              - type: 'null'
            title: Quantity Used  Isnull
        - name: quantity_used__in
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Quantity Used  In
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResults_EntitlementCustomerSumResponseSchema_
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedResults_EntitlementCustomerSumResponseSchema_:
      properties:
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
          description: The cursor for the next page of results
          examples:
            - V2VsbCBhcmV1IGN1cmlvdxM=
        previous:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous
          description: The cursor for the previous page of results
          examples:
            - GmBsbCBhcmV1IGN1cmlvdxM=
        total_count:
          anyOf:
            - type: integer
            - type: 'null'
          title: Total Count
          description: The total count of rows
        results:
          items:
            $ref: '#/components/schemas/EntitlementCustomerSumResponseSchema'
          type: array
          title: Results
          description: The results for the current page
      type: object
      required:
        - results
      title: PaginatedResults[EntitlementCustomerSumResponseSchema]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EntitlementCustomerSumResponseSchema:
      properties:
        entitlement:
          $ref: '#/components/schemas/EntitlementResponseSchema'
          description: Entitlement ID
        total_quantity:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Quantity
          description: Total Entitlement Units assigned
        total_quantity_used:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Quantity Used
          description: Total Entitlement Units Consumed
        total_expired_entitlements:
          anyOf:
            - type: number
            - type: 'null'
          title: Total Expired Entitlements
          description: Total Expired Entitlements
      type: object
      required:
        - entitlement
      title: EntitlementCustomerSumResponseSchema
      description: Create Entitlement Customer Sum Request Schema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EntitlementResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Entitlement Id
        name:
          type: string
          title: Name
          description: Entitlement name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Entitlement Description
        entitlement_type:
          anyOf:
            - $ref: '#/components/schemas/EntitlementType'
            - type: 'null'
          description: Entitlement Type
        units:
          anyOf:
            - type: string
            - type: 'null'
          title: Units
          description: Entitlement Units
        is_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Active
          description: Entitlement is active
          default: true
        product_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Product Id
          description: Product ID
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: created time
      type: object
      required:
        - id
        - name
      title: EntitlementResponseSchema
      description: Create Entitlement Response Schema
    EntitlementType:
      type: string
      enum:
        - Feature
        - Quantity
        - Credits
      title: EntitlementType
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````